Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Class AbstractSession

    java.lang.Object
      |
      +--com.compoze.mail.AbstractSession

All Implemented Interfaces:
  ISession, java.io.Serializable

public abstract class AbstractSession
extends java.lang.Object
implements ISession, java.io.Serializable

This class is a concrete implementation of `ISession`.

See Also:
  Serialized Form

Fields inherited from interface com.compoze.mail.ISession
`CONNPROP_CONNECTION_FACTORY, CONNPROP_DEBUG, CONNPROP_FOLDER_DELETED, CONNPROP_FOLDER_DRAFTS, CONNPROP_FOLDER_SENT, CONNPROP_FROM, CONNPROP_INCOMING_HOST, CONNPROP_INCOMING_HOST_PORT, CONNPROP_INCOMING_HOST_SSL, CONNPROP_ORGANIZATION, CONNPROP_OUTGOING_HOST, CONNPROP_PASSWORD, CONNPROP_PROTOCOL, CONNPROP_USER`

Constructor Summary
`AbstractSession()`

Method Summary
`java.lang.String` | `getDeletedFolderName()` Gets the deleted folder name.
`java.lang.String` | `getDraftsFolderName()` Gets the drafts folder name.
`java.lang.String` | `getInboxFolderName()` Gets the INBOX folder name.
`java.lang.String` | `getSentFolderName()` Gets the sent folder name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.compoze.mail.ISession
`close, createFolder, createMessage, getDebug, getDeletedFolder, getDraftsFolder, getFolder, getFolders, getInbox, getProperties, getSentFolder, refresh`

Constructor Detail

### AbstractSession

    public AbstractSession()

Method Detail

### getDraftsFolderName

    public java.lang.String getDraftsFolderName()

  Description copied from interface: `ISession`
  Gets the drafts folder name. This is determined by first checking if is a user property passed-in when the session was created; if empty or `null`, the `folder.drafts.name` from `mail.properties` is used.
  Specified by:
    `getDraftsFolderName` in interface `ISession`
  Following copied from interface: `com.compoze.mail.ISession`
  Returns:
    the drafts folder name

### getSentFolderName

    public java.lang.String getSentFolderName()

  Description copied from interface: `ISession`
  Gets the sent folder name. This is determined by first checking if is a user property passed-in when the session was created; if empty or `null`, the `folder.sent.name` from `mail.properties` is used.
  Specified by:
    `getSentFolderName` in interface `ISession`
  Following copied from interface: `com.compoze.mail.ISession`
  Returns:
    the sent folder name

### getDeletedFolderName

    public java.lang.String getDeletedFolderName()

  Description copied from interface: `ISession`
  Gets the deleted folder name. This is determined by first checking if is a user property passed-in when the session was created; if empty or `null`, the `folder.deleted.name` from `mail.properties` is used.
  Specified by:
    `getDeletedFolderName` in interface `ISession`
  Following copied from interface: `com.compoze.mail.ISession`
  Returns:
    the deleted folder name

### getInboxFolderName

    public java.lang.String getInboxFolderName()

  Description copied from interface: `ISession`
  Gets the INBOX folder name.
  Specified by:
    `getInboxFolderName` in interface `ISession`
  Following copied from interface: `com.compoze.mail.ISession`
  Returns:
    the inbox folder name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.